html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.tileInput {
    font-family: "Courier New", Courier, monospace;
    font-size: 83px;
    width: 100%;
    max-width: 100%;
    line-height: 50px;
    height: 50px;
}

.tile {
    display: flex;
    justify-content: center;
    /*position: absolute;*/
    bottom: attr(bottom);
    height: 50px;
    width: 50px;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
    line-height: 43.44px;
    font-size: 36.67px;
    position: relative;
    bottom: 12.5px;
    border-width: 1.33px;
    border-radius: 2px;
}

.rack .tile {
    box-shadow: 1px 1px 3px black;
}

.points {
    position: absolute;
}

.ivory {
    background-color: ivory;
    color: black;
    border-color: rgb(238, 238, 224);
    border-style: outset;
}

.login > div, .login input, .password > div, .password input  {
    position: absolute;
    top: 0;
    left: 0;
}

.login input, .password input {
    opacity: 0;
}

.login, .password {
    height: 60px;
    
}

.rack {
    display: flex;
    width: 100%;
    background-color: lightgray;
    background: rgb(255,254,238);
    background: linear-gradient(180deg, rgba(255,254,238,1) 0%, rgba(238,237,221,1) 100%);
    position: relative;
    box-sizing: border-box;
    border: solid 1px #dddccc;
    height: 50px;
    padding-left: 1em;
}

.rackLip {
    background: rgb(238,237,221);
    background: linear-gradient(0deg, rgba(238,237,221,1) 0%, rgba(255,254,238,1) 25%, rgba(255,254,238,1) 75%, rgba(238,237,221,1) 100%);
    width: 100%;
    height: 25%;
    position: absolute;
    bottom: 0;
    left: 0;
    box-shadow: 0 -1px 2px #dddccc;
    z-index: 100;
}

.rack .cursor {
    height: 70px;
    width: 5px;
    background-color: black;
    position: relative;
    bottom: 22.5px;
    z-index: 200;
}

.blink {
    animation: blink-animation 1s steps(2, start) infinite;
    -webkit-animation: blink-animation 1s steps(2, start) infinite;
}

@keyframes blink-animation {
    to {
        visibility: hidden;
    }
}

@-webkit-keyframes blink-animation {
    to {
        visibility: hidden;
    }
}